## policycoreutils 2.1.13

=== Makefile ===
SUBDIRS = setfiles semanage load_policy newrole run_init sandbox secon audit2allow audit2why sestatus semodule_package semodule semodule_link semodule_expand semodule_deps sepolgen-ifgen setsebool scripts po man gui

INOTIFYH = $(shell ls /usr/include/sys/inotify.h 2>/dev/null)

ifeq (${INOTIFYH}, /usr/include/sys/inotify.h)
	SUBDIRS += restorecond
endif

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== gui/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share/system-config-selinux

TARGETS= \
booleansPage.py \
domainsPage.py \
fcontextPage.py \
html_util.py \
loginsPage.py \
mappingsPage.py \
modulesPage.py \
polgen.glade \
portsPage.py \
semanagePage.py \
statusPage.py \
system-config-selinux.glade \
usersPage.py

all: $(TARGETS) system-config-selinux.py polgengui.py templates polgen.py

install: all
	-mkdir -p $(SHAREDIR)/templates
	-mkdir -p $(BINDIR)
	install -m 755 system-config-selinux.py $(SHAREDIR)
	install -m 755 polgengui.py $(SHAREDIR)
	install -m 755 polgen.py $(SHAREDIR)
	(cd $(BINDIR); 	ln -fs ../share/system-config-selinux/polgen.py sepolgen)
	install -m 644 $(TARGETS) $(SHAREDIR)
	install -m 644 templates/*.py $(SHAREDIR)/templates/

clean:

indent:

relabel:

=== load_policy/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
USRSBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale

CFLAGS ?= -Werror -Wall -W
override CFLAGS += $(LDFLAGS) -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lsepol -lselinux -L$(PREFIX)/lib

TARGETS=$(patsubst %.c,%,$(wildcard *.c))

all: $(TARGETS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 $(TARGETS) $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 load_policy.8 $(MANDIR)/man8/
	-mkdir -p $(USRSBINDIR)
	-ln -sf /sbin/load_policy $(USRSBINDIR)/load_policy

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:
	/sbin/restorecon $(SBINDIR)/load_policy

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#

TOP	 = ../..

# What is this package?
NLSPACKAGE	= policycoreutils
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c -p
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge
MSGMERGE_FLAGS	= -q
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE)
MSGFMT		= msgfmt

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
POTFILES = \
	../run_init/open_init_pty.c \
	../run_init/run_init.c \
	../semodule_link/semodule_link.c \
	../audit2allow/audit2allow \
	../semanage/seobject.py \
	../setsebool/setsebool.c \
	../newrole/newrole.c \
	../load_policy/load_policy.c \
	../sestatus/sestatus.c \
	../semodule/semodule.c \
	../setfiles/setfiles.c \
	../semodule_package/semodule_package.c \
	../semodule_deps/semodule_deps.c \
	../semodule_expand/semodule_expand.c \
	../scripts/chcat \
	../scripts/fixfiles \
	../restorecond/stringslist.c \
	../restorecond/restorecond.h \
	../restorecond/utmpwatcher.h \
	../restorecond/stringslist.h \
	../restorecond/restorecond.c \
	../restorecond/utmpwatcher.c \
	../gui/booleansPage.py \
	../gui/fcontextPage.py \
	../gui/loginsPage.py \
	../gui/mappingsPage.py \
	../gui/modulesPage.py \
	../gui/polgen.glade \
	../gui/polgengui.py \
	../gui/polgen.py \
	../gui/portsPage.py \
	../gui/semanagePage.py \
	../gui/statusPage.py \
	../gui/system-config-selinux.glade \
	../gui/system-config-selinux.py \
	../gui/usersPage.py \
	../gui/templates/executable.py \
	../gui/templates/__init__.py \
	../gui/templates/network.py \
	../gui/templates/rw.py \
	../gui/templates/script.py \
	../gui/templates/semodule.py \
	../gui/templates/tmp.py \
	../gui/templates/user.py \
	../gui/templates/var_lib.py \
	../gui/templates/var_log.py \
	../gui/templates/var_run.py \
	../gui/templates/var_spool.py \
	../secon/secon.c

#default:: clean

all::  update-po $(MOFILES)

$(POTFILE): $(POTFILES) 
	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $(MSGMERGE_FLAGS) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend
	@rm -rf tmp

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<
report:
	@for cat in $(wildcard *.po); do \
                echo -n "$$cat: "; \
                msgfmt -v --statistics -o /dev/null $$cat; \
        done

.PHONY: missing depend

relabel:

=== run_init/Makefile ===

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LOCALEDIR ?= /usr/share/locale
PAMH = $(shell ls /usr/include/security/pam_appl.h 2>/dev/null)
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lselinux -L$(PREFIX)/lib
ifeq ($(PAMH), /usr/include/security/pam_appl.h)
	override CFLAGS += -DUSE_PAM
	LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	LDLIBS += -lcrypt
endif
ifeq ($(AUDITH), /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif

TARGETS=$(patsubst %.c,%,$(wildcard *.c))

all: $(TARGETS)

open_init_pty: open_init_pty.c
	$(LINK.c) $^ -ldl -lutil -o $@


install: all
	test -d $(SBINDIR)      || install -m 755 -d $(SBINDIR)
	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
	install -m 755 run_init $(SBINDIR)
	install -m 755 open_init_pty $(SBINDIR)
	install -m 644 run_init.8 $(MANDIR)/man8/
	install -m 644 open_init_pty.8 $(MANDIR)/man8/
ifeq ($(PAMH), /usr/include/security/pam_appl.h)
	install -m 644 run_init.pamd $(ETCDIR)/pam.d/run_init
endif

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(SBINDIR)/run_init $(SBINDIR)/open_init_pty

=== scripts/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
USRSBINDIR ?= $(PREFIX)/sbin
SBINDIR ?= $(DESTDIR)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= $(PREFIX)/share/locale

all: fixfiles genhomedircon chcat

genhomedircon:
	@echo "#!/bin/sh" > genhomedircon
	@echo >> genhomedircon
	@if [ ! -e semodule_path ]; then echo -n "$(USRSBINDIR)/" >> genhomedircon; fi
	@if [ -e semodule_path ]; then echo -n "`cat semodule_path`/" >> genhomedircon; fi
	@echo "semodule -Bn" >> genhomedircon

install: all
	-mkdir -p $(BINDIR)
	install -m 755 chcat $(BINDIR)
	install -m 755 fixfiles $(SBINDIR)
	install -m 755 genhomedircon $(USRSBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 fixfiles.8 $(MANDIR)/man8/
	install -m 644 genhomedircon.8 $(MANDIR)/man8/
	install -m 644 chcat.8 $(MANDIR)/man8/

clean:
	rm -f genhomedircon

indent:

relabel:

=== semanage/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
PYTHONLIBDIR ?= $(LIBDIR)/$(PYLIBVER)
BASHCOMPLETIONDIR ?= $(DESTDIR)/etc/bash_completion.d/

TARGETS=semanage

BASHCOMPLETIONS=semanage-bash-completion.sh 

all: $(TARGETS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 semanage $(SBINDIR)
	install -m 644 semanage.8 $(MANDIR)/man8
	test -d $(PYTHONLIBDIR)/site-packages || install -m 755 -d $(PYTHONLIBDIR)/site-packages
	install -m 755 seobject.py $(PYTHONLIBDIR)/site-packages
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)

clean:

indent:

relabel:

=== semodule/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -lsemanage -L$(LIBDIR)
SEMODULE_OBJS = semodule.o

all: semodule

semodule: $(SEMODULE_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)
	@echo -n $(SBINDIR) > ../scripts/semodule_path

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 semodule $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule *.o ../scripts/semodule_path

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== setsebool/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
BASHCOMPLETIONDIR ?= $(DESTDIR)/etc/bash_completion.d/

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -lsemanage -L$(LIBDIR)
SETSEBOOL_OBJS = setsebool.o

BASHCOMPLETIONS=setsebool-bash-completion.sh 

all: setsebool

setsebool: $(SETSEBOOL_OBJS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 setsebool $(SBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 setsebool.8 $(MANDIR)/man8/
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)

relabel:

clean:
	-rm -f setsebool *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
policycoreutils (2.1.13-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Add gawk to the build-dependencies, this is needed for some manpages
      generation
    - Add python-audit to the Recommends
    - Bump Standards-Version to 3.9.4 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 May 2013 01:44:10 +0200

policycoreutils (2.1.13-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Bump {build-}dependencies
    - debian/patches/0002-Made-fixfiles-display-the-progress.patch: Refreshed
    - debian/patches/0004-manpages.patch: Refreshed
    - debian/patches/0005-build-system.patch: Refreshed
    - debian/patches/0006-default-config.patch: Refreshed
    - d/p/0007-Fix-infinite-loop-i-watch-code.patch: Dropped, applied upstream
    - d/p/0008-Only-run-setfiles-if-we-found-read-write-filesystems.patch:
      Dropped, applied upstream
    - d/p/0010-fix-ftbfs-with-hardening-flags.patch: Dropped, applied upstream
    - debian/patches/0011-restorecon-no-error.patch: Dropped, applied upstream
    - debian/patches/0013-use_dpkg_buildflags.patch: Refreshed
    - debian/patches/0014-po-file-update.patch: Refreshed
    - debian/patches/0017-no-sandbox: Refreshed
  * debian/watch: Fix watch file URL
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"
  * debian/rules: Move bash completion scripts to the new location
  * Override INITDIR and SYSCONFDIR from debian/rules instead of patching
    Makefiles directly
  * debian/policycoreutils.dirs: Install /var/lib/selinux/ directory, this is
    needed for some operations of semanage (Closes: #668174)
  * Add debian/patches/0017-sandbox-config.patch: The sandbox configuration
    file is located in /etc/default/sandbox
  * Do not install system-config-selinux for now, it needs some adjustements
    for debian
  * debian/policycoreutils.maintscript: Properly remove /etc/init.d/sandbox
    and /etc/default/sandbox that were dropped previous version
    (Closes: #689048)
  * Rework initscripts using /etc/init.d/skeleton as a template
  * Include common-* files in newrole and run_init pam services
  * Add dependency against selinux-utils for selinuxenabled executable

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Sep 2012 23:16:16 +0200

policycoreutils (2.1.10-9) unstable; urgency=high

  * Revert the munging of setrans.conf which was introduced in 2.1.10-7.
    Closes: #677759
  * Made mcstrans ignore a line containing "s0=" to properly solve the
    original problem.
  * Made the mcstrans init script not return an error when you stop it twice.
  * Included a new version of open_init_pty that doesn't take 100% CPU time.
    Closes: #474956
  * Removed sandbox because it's a new feature that we never had working, also
    removed seunshare because it's not needed and brought in an annoying
    dependency on libcgroup1
    Closes: #678590

 -- Russell Coker <russell@coker.com.au>  Tue, 26 Jun 2012 17:22:05 +1000

policycoreutils (2.1.10-8) unstable; urgency=low

  * Drop /selinux directory, we are planning to move to /sys/fs/selinux, and
    it's already created by libselinux1 package anyway.
    From Laurent Bigonville

 -- Russell Coker <russell@coker.com.au>  Sat, 16 Jun 2012 23:37:05 +1000

policycoreutils (2.1.10-7) unstable; urgency=low

  * Correctly label /run/setrans.
  * Fix /etc/selinux/default/setrans.conf if it contains old syntax so we
    can start the new version of mcstrans.

 -- Russell Coker <russell@coker.com.au>  Sat, 16 Jun 2012 17:59:24 +1000

policycoreutils (2.1.10-6) unstable; urgency=low

  * Team upload.
  * debian/control, debian/patches/0013-use_dpkg_buildflags.patch: Enable
    hardening flags for all components of the package (Closes: #665320)
  * debian/control: Fix Vcs-Browser URL
  * debian/patches/0014-po-file-update.patch: Update the po files, this allows
    the package to build twice in a row again (Closes: #662514)
  * debian/rules: Install the right pam files

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Mar 2012 17:45:36 +0200

policycoreutils (2.1.10-5) unstable; urgency=low

  * Team upload.
  * Switch to dh sequence and debhelper 9
  * Merge my missing patches
  * d/p/fix-ftbfs-hardening-flags.patch: Fix FTBFS with hardening flags
  * d/policycoreutils.lintian-overrides: Drop non-standard-toplevel-dir selinux/
  * debian/patches/0006-default-config.patch: Properly disable sandbox by
    default
  * Rewrite maintainer scripts to use debhelper generated stanza.
    (Should closes: #660345)
  * debian/control: Update Vcs-* fields
  * Add debian/gbp.conf file
  * debian/control:
    - Add Pre-Depends: ${misc:Pre-Depends} field
    - Make policycoreutils arch:linux-any
    - Put under the Debian SELinux team maintenance
    - Bump python-setools dependency to >= 3.3.7-2

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 19:50:46 +0100

policycoreutils (2.1.10-4) unstable; urgency=low

  * Made it depend on python-setools for audit2allow

 -- Russell Coker <russell@coker.com.au>  Mon, 19 Mar 2012 16:00:12 +1100

policycoreutils (2.1.10-2) unstable; urgency=low

  * Depend on python-ipy for semanage
  * Fix command not found error in init.d/sandbox
    Closes: #663419
  * Added patch from Martin Orr to make restorecon not return 1 (error) when
    it relabels a file.
    Closes: #662990

 -- Russell Coker <russell@coker.com.au>  Thu, 15 Mar 2012 10:52:29 +1100

=== debian/control ===
Source: policycoreutils
VCS-Git: git://anonscm.debian.org/git/selinux/policycoreutils.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/policycoreutils.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.0),
               file,
               gawk,
               gettext,
               libaudit-dev,
               libcap-dev,
               libcap-ng-dev,
               libcgroup-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libpam0g-dev,
               libpcre3-dev,
               libselinux1-dev (>= 2.1.12),
               libsemanage1-dev (>= 2.1.9),
               libsepol1-dev (>= 2.1.8),
               python (>= 2.6.6-3~),
               python-sepolgen (>= 1.1.8)
X-Python-Version: >= 2.5
Homepage: http://userspace.selinuxproject.org/

Package: policycoreutils
Architecture: linux-any
Depends: lsb-base (>= 3.2-13),
         psmisc,
         python-ipy,
         python-selinux,
         python-semanage,
         python-sepolgen (>= 1.1.8),
         python-setools (>= 3.3.7-2),
         selinux-utils,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: mcstrans
Provides: mcstrans
Replaces: mcstrans
Recommends: python-audit, selinux-policy-default
Suggests: selinux-policy-dev
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the core policy utilities that are required
 for basic operation of an SELinux system.  These utilities include
 load_policy to load policies, setfiles to label filesystems, newrole
 to switch roles, run_init to run /etc/init.d scripts in the proper
 context, and restorecond to restore contexts of files that often get the
 wrong context.
 .
 It also includes the mcstransd to map a maching readable sensitivity label to
 a human readable form.  The sensitivity label is comprised of a sensitivity
 level (always s0 for MCS and anything from s0 to s15 for MLS) and a set of
 categories.  A ranged sensitivity label will have a low level and a high level
 where the high level will dominate the low level.  Categories are numbered
 from c0 to c1023.  Names such as s0 and c1023 and not easily readable by
 humans, so mcstransd translated them to human readable labels such as
 SystemLow and SystemHigh.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export PYTHONLIBDIR=$${DESTDIR}/usr/lib/$(shell pyversions -d)
export BASHCOMPLETIONDIR=$${DESTDIR}/usr/share/bash-completion/completions
export INITDIR=$${DESTDIR}/etc/init.d
export SYSCONFDIR=$${DESTDIR}/etc/default
#export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
#export LIBBASE=lib/${DEB_HOST_MULTIARCH}

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/policycoreutils/usr/share/bash-completion/completions/semanage-bash-completion.sh \
		$(CURDIR)/debian/policycoreutils/usr/share/bash-completion/completions/semanage
	mv $(CURDIR)/debian/policycoreutils/usr/share/bash-completion/completions/setsebool-bash-completion.sh \
		$(CURDIR)/debian/policycoreutils/usr/share/bash-completion/completions/setsebool

# Remove upstream initscripts and use Debian ones
	rm -rf $(CURDIR)/debian/policycoreutils/etc/init.d/restorecond
	rm -rf $(CURDIR)/debian/policycoreutils/etc/init.d/mcstrans

# Remove system-config-selinux for now, it needs some adjustements for debian
	rm -rf $(CURDIR)/debian/policycoreutils/usr/share/system-config-selinux/
	rm -rf $(CURDIR)/debian/policycoreutils/usr/bin/sepolgen

override_dh_fixperms:
	dh_fixperms -Xusr/sbin/seunshare

override_dh_installinit:
	dh_installinit --name=mcstrans
	dh_installinit --name=restorecond

override_dh_installpam:
	dh_installpam --name=newrole
	dh_installpam --name=run_init

## policycoreutils 2.2.5

=== load_policy/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
 	install -m 644 load_policy.8 $(MANDIR)/man8/
 	-mkdir -p $(USRSBINDIR)
-	-ln -sf /sbin/load_policy $(USRSBINDIR)/load_policy
+	-ln -sf $(SBINDIR)/load_policy $(USRSBINDIR)/load_policy 
 
 clean:
 	-rm -f $(TARGETS) *.o

=== po/Makefile ===
--- 
+++ 
@@ -53,32 +53,46 @@
 	../gui/modulesPage.py \
 	../gui/polgen.glade \
 	../gui/polgengui.py \
-	../gui/polgen.py \
 	../gui/portsPage.py \
 	../gui/semanagePage.py \
 	../gui/statusPage.py \
 	../gui/system-config-selinux.glade \
 	../gui/system-config-selinux.py \
 	../gui/usersPage.py \
-	../gui/templates/executable.py \
-	../gui/templates/__init__.py \
-	../gui/templates/network.py \
-	../gui/templates/rw.py \
-	../gui/templates/script.py \
-	../gui/templates/semodule.py \
-	../gui/templates/tmp.py \
-	../gui/templates/user.py \
-	../gui/templates/var_lib.py \
-	../gui/templates/var_log.py \
-	../gui/templates/var_run.py \
-	../gui/templates/var_spool.py \
-	../secon/secon.c
+	../secon/secon.c \
+	booleans.py \
+	../sepolicy/info.c \
+	../sepolicy/search.c \
+	../sepolicy/sepolicy.py \
+	../sepolicy/sepolicy/communicate.py \
+	../sepolicy/sepolicy/__init__.py \
+	../sepolicy/sepolicy/network.py \
+	../sepolicy/sepolicy/generate.py \
+	../sepolicy/sepolicy/sepolicy.glade \
+	../sepolicy/sepolicy/gui.py \
+	../sepolicy/sepolicy/manpage.py \
+	../sepolicy/sepolicy/transition.py \
+	../sepolicy/sepolicy/templates/executable.py \
+	../sepolicy/sepolicy/templates/__init__.py \
+	../sepolicy/sepolicy/templates/network.py \
+	../sepolicy/sepolicy/templates/rw.py \
+	../sepolicy/sepolicy/templates/script.py \
+	../sepolicy/sepolicy/templates/semodule.py \
+	../sepolicy/sepolicy/templates/tmp.py \
+	../sepolicy/sepolicy/templates/user.py \
+	../sepolicy/sepolicy/templates/var_lib.py \
+	../sepolicy/sepolicy/templates/var_log.py \
+	../sepolicy/sepolicy/templates/var_run.py \
+	../sepolicy/sepolicy/templates/var_spool.py
 
 #default:: clean
 
-all::  update-po $(MOFILES)
+all::  $(MOFILES)
 
-$(POTFILE): $(POTFILES) 
+booleans.py:
+	sepolicy booleans -a > booleans.py
+
+$(POTFILE): $(POTFILES) booleans.py
 	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
 	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
 	    rm -f $(NLSPACKAGE).po; \
@@ -87,6 +101,7 @@
 	fi; \
 
 update-po: Makefile $(POTFILE) refresh-po
+	@rm -f booleans.py
 
 refresh-po: Makefile
 	for cat in $(POFILES); do \

=== run_init/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 install: all
 	test -d $(SBINDIR)      || install -m 755 -d $(SBINDIR)
-	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
+	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
 	install -m 755 run_init $(SBINDIR)
 	install -m 755 open_init_pty $(SBINDIR)
 	install -m 644 run_init.8 $(MANDIR)/man8/

=== sandbox/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SYSCONFDIR ?= $(DESTDIR)/etc/sysconfig
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
SHAREDIR ?= $(PREFIX)/share/sandbox
override CFLAGS += $(LDFLAGS) -I$(PREFIX)/include -DPACKAGE="\"policycoreutils\"" -Wall -Werror -Wextra -W
LDLIBS += -lcgroup -lselinux -lcap-ng -L$(LIBDIR)
SEUNSHARE_OBJS = seunshare.o

all: sandbox seunshare sandboxX.sh start

seunshare: $(SEUNSHARE_OBJS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 sandbox $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 sandbox.8 $(MANDIR)/man8/
	install -m 644 seunshare.8 $(MANDIR)/man8/
	-mkdir -p $(MANDIR)/man5
	install -m 644 sandbox.5 $(MANDIR)/man5/
	-mkdir -p $(SBINDIR)
	install -m 4755 seunshare $(SBINDIR)/
	-mkdir -p $(SHAREDIR)
	install -m 755 sandboxX.sh $(SHAREDIR)
	install -m 755 start $(SHAREDIR)
	-mkdir -p $(SYSCONFDIR)
	install -m 644 sandbox.conf $(SYSCONFDIR)/sandbox

test:
	@python test_sandbox.py -v

clean:
	-rm -f seunshare *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== semodule/Makefile ===
--- 
+++ 
@@ -10,22 +10,26 @@
 LDLIBS = -lsepol -lselinux -lsemanage -L$(LIBDIR)
 SEMODULE_OBJS = semodule.o
 
-all: semodule
+all: semodule genhomedircon
 
 semodule: $(SEMODULE_OBJS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)
-	@echo -n $(SBINDIR) > ../scripts/semodule_path
+
+genhomedircon:
+	ln -sf semodule genhomedircon
 
 install: all
 	-mkdir -p $(SBINDIR)
 	install -m 755 semodule $(SBINDIR)
+	(cd $(SBINDIR); ln -sf semodule genhomedircon)
 	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
 	install -m 644 semodule.8 $(MANDIR)/man8/
+	install -m 644 genhomedircon.8 $(MANDIR)/man8/
 
 relabel:
 
 clean:
-	-rm -f semodule *.o ../scripts/semodule_path
+	-rm -f semodule *.o genhomedircon
 
 indent:
 	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_deps/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = $(LIBDIR)/libsepol.a

all: semodule_deps

semodule_deps:  semodule_deps.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_deps $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_deps.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_deps *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_expand/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -L$(LIBDIR)

all: semodule_expand

semodule_expand:  semodule_expand.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_expand $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_expand.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_expand *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sepolicy/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SYSCONFDIR ?= $(DESTDIR)/etc/sysconfig
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
PYTHON ?= /usr/bin/python
BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions
SHAREDIR ?= $(PREFIX)/share/sandbox
override CFLAGS = -I$(PREFIX)/include -DPACKAGE="policycoreutils" -Wall -Werror -Wextra -W  -DSHARED -shared

BASHCOMPLETIONS=sepolicy-bash-completion.sh

all: python-build

python-build: info.c search.c common.h policy.h policy.c
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#*

sepolgen:
	ln -sf sepolicy sepolgen

test:
	@python test_sepolicy.py -v

install:
	$(PYTHON) setup.py install `test -n "$(DESTDIR)" && echo --root $(DESTDIR)`
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	install -m 755 sepolicy.py $(BINDIR)/sepolicy
	(cd $(BINDIR); ln -sf sepolicy sepolgen)
	-mkdir -p $(MANDIR)/man8
	install -m 644 *.8 $(MANDIR)/man8
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/sepolicy
	-mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
	install -m 644 org.selinux.conf $(DESTDIR)/etc/dbus-1/system.d/
	-mkdir -p $(DESTDIR)/usr/share/dbus-1/system-services
	install -m 644 org.selinux.service $(DESTDIR)/usr/share/dbus-1/system-services
	-mkdir -p $(DESTDIR)/usr/share/polkit-1/actions/
	install -m 644 org.selinux.policy $(DESTDIR)/usr/share/polkit-1/actions/
	-mkdir -p $(DESTDIR)/usr/share/system-config-selinux
	install -m 755 selinux_server.py $(DESTDIR)/usr/share/system-config-selinux
	install -m 644 *.desktop $(DATADIR)/system-config-selinux

relabel:

=== setfiles/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)

PROGRESS_STEP=$(shell grep "^\#define STAR_COUNT" restore.h | awk -S '{ print $$3 }')
ABORT_ON_ERRORS=$(shell grep "^\#define ABORT_ON_ERRORS" setfiles.c | awk -S '{ print $$3 }')

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include
LDLIBS = -lselinux -lsepol -L$(LIBDIR)

ifeq ($(AUDITH), /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif

all: setfiles restorecon man

setfiles:  setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

man:
	@cp -af setfiles.8 setfiles.8.man
	@cp -af restorecon.8 restorecon.8.man
	@sed -i "s/STAR_COUNT/$(PROGRESS_STEP)/g" setfiles.8.man restorecon.8.man
	@sed -i "s/ABORT_ON_ERRORS/$(ABORT_ON_ERRORS)/g" setfiles.8.man

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 setfiles $(SBINDIR)
	(cd $(SBINDIR) && ln -sf setfiles restorecon)
	install -m 644 setfiles.8.man $(MANDIR)/man8/setfiles.8
	install -m 644 restorecon.8.man $(MANDIR)/man8/restorecon.8

clean:
	rm -f setfiles restorecon *.o setfiles.8.man restorecon.8.man

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	$(SBINDIR)/restorecon $(SBINDIR)/setfiles

=== setsebool/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SBINDIR ?= $(PREFIX)/sbin
 MANDIR = $(PREFIX)/share/man
 LIBDIR ?= $(PREFIX)/lib
-BASHCOMPLETIONDIR ?= $(DESTDIR)/etc/bash_completion.d/
+BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions
 
 CFLAGS ?= -Werror -Wall -W
 override CFLAGS += -I$(INCLUDEDIR)
@@ -23,7 +23,7 @@
 	-mkdir -p $(MANDIR)/man8
 	install -m 644 setsebool.8 $(MANDIR)/man8/
 	-mkdir -p $(BASHCOMPLETIONDIR)
-	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)
+	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/setsebool
 
 relabel:

=== debian/changelog ===
policycoreutils (2.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 Dec 2013 14:43:17 +0100

policycoreutils (2.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop d/p/0023-semanage_default_encoding.patch: Merged upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Dec 2013 20:02:14 +0100

policycoreutils (2.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match the release
    - debian/control: Add python-dev, libapol-dev and libqpol-dev to the
      build-depencencies
    - Add new python-sepolicy package
    - d/p/0002-Made-fixfiles-display-the-progress.patch: Refreshed
    - Drop d/p/0004-manpages.patch: Fixed upstream
    - d/p/0005-build-system.patch: Refreshed
    - d/p/0006-default-config.patch: Refreshed
    - d/p/0009-find-does-not-have-a-context-switch.patch: Refreshed
    - Drop d/p/0013-use_dpkg_buildflags.patch: Fixed upstream
    - Drop d/p/0014-po-file-update.patch: .po files are not updated during
      build anymore
    - d/p/0017-no-sandbox: Refreshed
    - d/p/0018-sandbox-config.patch: Refreshed
  * debian/rules: bash-completion script are now properly installed
  * debian/patches/0022-sepolicy-path.patch: Install sepolicy modules in the
    correct location
  * debian/rules: Fix /usr/sbin/load_policy symlink creation
  * debian/rules: Set $SYSTEMDDIR variable to /lib/systemd, so systemd units
    files are installed in the correct directory
  * debian/control, debian/rules: Add calls to dh_systemd tools
  * debian/rules, debian/policycoreutils.install: Pass --destdir option to
    dh_auto_install and list files to install in the package
  * Add debian/patches/0023-semanage_default_encoding.patch: Remove import for
    not upstreamed module
  * Add debian/patches/0024-fix-manpages.patch: Fix some minor manpages issues
  * debian/control: Use canonical URL in VCS-Git field
  * d/p/0025-restorecon-service.patch: Improve restorecond service file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Nov 2013 22:32:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: policycoreutils
-VCS-Git: git://anonscm.debian.org/git/selinux/policycoreutils.git
+VCS-Git: git://anonscm.debian.org/selinux/policycoreutils.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/policycoreutils.git;a=summary
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.0),
+               dh-systemd (>= 1.4),
                file,
                gawk,
                gettext,
+               libapol-dev,
+               libqpol-dev,
                libaudit-dev,
                libcap-dev,
                libcap-ng-dev,
@@ -21,10 +24,10 @@
                libglib2.0-dev,
                libpam0g-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.1.12),
-               libsemanage1-dev (>= 2.1.9),
-               libsepol1-dev (>= 2.1.8),
-               python (>= 2.6.6-3~),
+               libselinux1-dev (>= 2.2),
+               libsemanage1-dev (>= 2.2),
+               libsepol1-dev (>= 2.2),
+               python-dev (>= 2.6.6-3~),
                python-sepolgen (>= 1.1.8)
 X-Python-Version: >= 2.5
 Homepage: http://userspace.selinuxproject.org/
@@ -34,10 +37,11 @@
 Depends: lsb-base (>= 3.2-13),
          psmisc,
          python-ipy,
-         python-selinux,
-         python-semanage,
-         python-sepolgen (>= 1.1.8),
+         python-selinux (>= 2.2),
+         python-semanage (>= 2.2),
+         python-sepolgen (>= 1.2.1),
          python-setools (>= 3.3.7-2),
+         python-sepolicy (= ${binary:Version}),
          selinux-utils,
          ${misc:Depends},
          ${python:Depends},
@@ -74,3 +78,14 @@
  from c0 to c1023.  Names such as s0 and c1023 and not easily readable by
  humans, so mcstransd translated them to human readable labels such as
  SystemLow and SystemHigh.
+
+Package: python-sepolicy
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         python-selinux (>= 2.2),
+         python-sepolgen (>= 1.2.1)
+Section: python
+Description: Python binding for SELinux Policy Analyses
+ This package contains a Python binding for SELinux Policy Analyses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export PYTHONLIBDIR=$${DESTDIR}/usr/lib/$(shell pyversions -d)
export INITDIR=$${DESTDIR}/etc/init.d
export SYSCONFDIR=$${DESTDIR}/etc/default
export SYSTEMDDIR=$${DESTDIR}/lib/systemd
#export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
#export LIBBASE=lib/${DEB_HOST_MULTIARCH}

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

%:
	dh $@ --with python2 --with systemd

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

# Fix symlink
	rm -f $(CURDIR)/debian/policycoreutils/usr/sbin/load_policy
	ln -s /sbin/load_policy $(CURDIR)/debian/policycoreutils/usr/sbin/load_policy

override_dh_fixperms:
	dh_fixperms -Xusr/sbin/seunshare

override_dh_installinit:
	dh_installinit --name=mcstrans
	dh_installinit --name=restorecond

override_dh_installpam:
	dh_installpam --name=newrole
	dh_installpam --name=run_init

=== debian/watch ===
version=3

http://userspace.selinuxproject.org/releases/(\d+)/policycoreutils-(.*)\.tar\.gz
